.product .main .pagination {
    margin: 1rem;
}
.product .main .nav-bar {
    margin: 1rem 0;
    padding: 1rem 0.5rem 0;
}
.product .main .nav-bar ul {
    display: flex;
    flex-wrap: nowrap;
    max-width: 100%;
    overflow-x: scroll;
    padding: -0.2rem;
    scrollbar-width: none;
}
.product .main .nav-bar ul::-webkit-scrollbar {
    display: none;
}
.product .main .nav-bar ul li {
    padding: 0.2rem;
    box-sizing: border-box;
}
.product .main .nav-bar ul li a {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f3f3f3;
    color: #222;
    padding: 0.5rem 1rem;
    white-space: nowrap;
}
.product .main .nav-bar ul li.selected a {
    background-color: #e1251b;
    color: #fff;
}
.product .main .product-list ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.product .main .product-list ul li {
    width: 25%;
    padding: 1rem 0.5rem;
    box-sizing: border-box;
}

.product .main .product-list ul li .item {
    padding: 1.1rem;
    box-sizing: border-box;
    height: 100%;
    border-radius: 1rem;
}

.product .main .product-list ul li .item:hover {
    border: 0.1rem solid #e1251b;
    padding: 1rem;
    box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.1);
}

.product .main .product-list ul li .item .image img {
    width: 100%;
    border-radius: 0.8rem 0.8rem 0 0;
    display: block;
}

.product .main .product-list ul li .item .price {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    margin-top: 1rem;
    font-size: 1.2rem;
    color: #e1251b;
    white-space: nowrap;
}

.product .main .product-list ul li .item .price span b {
    font-size: 1.8rem;
}

.product .main .product-list ul li .item .price del {
    font-size: 1.4rem;
    margin-left: 0.5rem;
    color: #999;
}

.product .main .product-list ul li .item .name {
    padding: 0.5rem 0;
}

.product .main .product-list ul li .item .name a {
    font-size: 1.2rem;
    color: #333;
    line-height: 1.8rem;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 3.6rem;
    display: -webkit-box;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    cursor: pointer;
}

.product .main .product-list ul li .item .name a:hover {
    color: #e1251b;
}

.product .main .product-list ul li .item .commont {
    margin-top: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #666;
    font-size: 1.2rem;
    white-space: nowrap;
}

.product .main .product-list ul li .item .tags {
    display: flex;
    padding: -0.2rem;
    margin-top: 1rem;
    flex-wrap: wrap;
    height: 2.4rem;
    overflow: hidden;
}

.product .main .product-list ul li .item .tags span {
    display: flex;
    height: 2rem;
    align-items: center;
    padding: 0 0.4rem;
    margin: 0.2rem;
    border: 0.1rem solid rgba(0, 0, 0, 0.1);
    font-size: 1rem;
    color: #e1251b;
    border-radius: 0.2rem;
    white-space: nowrap;
}

.product .main .product-list ul li .item .button {
    display: flex;
    margin-top: 2rem;
}

.product .main .product-list ul li .item .button a {
    display: flex;
    background-color: #e1251b;
    color: #fff;
    align-items: center;
    justify-content: center;
    height: 3rem;
    border-radius: 0.4rem;
}

.product .main .product-list ul li .item .button a.coupon {
    background-color: #f60;
    padding: 0 1rem;
    margin-right: 1rem;
}

.product .main .product-list ul li .item .button a.buy {
    flex: 1;
}

@media (max-width: 768px) {
    .product .main .product-list ul li {
        width: 33.33%;
    }
}

@media (max-width: 640px) {
    .product .main .product-list ul {
        padding: 0.5rem;
        box-sizing: border-box;
    }

    .product .main .product-list ul li {
        width: 50%;
        padding: 0.5rem 0;
    }

    .product .main .product-list ul li .item {
        padding: 0.6rem;
    }

    .product .main .product-list ul li .item:hover {
        padding: 0.5rem;
    }

    .product .main .product-list ul li .item .good {
        white-space: nowrap;
        overflow: hidden;
        display: block;
        margin-left: 0.5rem;
        text-overflow: ellipsis;
    }
}
